//
//  DashboardLibraryView.swift
//  Jel
//
//  Created by zerocool on 12/15/23.
//

import SwiftUI
import JellyfinKit

struct DashboardLibraryView: View {
  @EnvironmentObject var jellyfinClient: JellyfinClientController
  
  @StateObject var authState: AuthStateController = AuthStateController.shared
  
  @State var libraries: [BaseItemDto] = []
  var body: some View {
    ScrollView(.horizontal, showsIndicators: false) {
      HStack {
        ForEach(libraries) {library in
          if library.collectionType == "movies" || library.collectionType == "tvshows" {
            NavigationLink {
              LibraryDetailView(library: library)
            } label: {
              LibraryIconView(library: library, height: 200)
                .padding()
            }
          }
        }
      }
    }
    .onAppear {
      Task {
        do {
          let request = Paths.getUserViews(userID: authState.userId ?? "")
          if let results = try await jellyfinClient.send(request).value.items {
            libraries = results
          }
        } catch {
        }
      }
    }
  }
}

//#Preview {
//  LibraryView()
//}
