//
//  LibraryDetailView.swift
//  Jel
//
//  Created by zerocool on 12/22/23.
//

import SwiftUI
import JellyfinKit

struct LibraryDetailView: View {
  @EnvironmentObject var jellyfinClient: JellyfinClientController
  @StateObject var authState: AuthStateController = AuthStateController.shared
  
  @State var library: BaseItemDto
  @State var items: [BaseItemDto]? = []
  
  var body: some View {
    ScrollView {
      ForEach(items ?? []) {item in
        LibraryIconView(library: item, imageType: "Primary", width: 120)
          .padding()
      }
    }
    .navigationTitle(library.name ?? "Unknown")
    .onAppear {
      Task {
        let params = Paths.GetItemsParameters(userID: authState.userId, parentID: library.id)
        let request = Paths.getItems(parameters: params)
        
        do {
          let res = try await jellyfinClient.send(request)
          items = res.value.items
        } catch {
        }
      }
    }
  }
}

#Preview {
  LibraryDetailView(library: BaseItemDto())
}
